package com.hdkj.lt.bf.mapper;


import com.hdkj.lt.core.bizms.modle.dto.StrategyconfigDetailEntryDTO;
import com.hdkj.lt.core.bizms.modle.po.plan.FhzgPlanTransferStrategyConfigDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FhzgPlanStrategyDetialMapper {


    List<FhzgPlanTransferStrategyConfigDetail> getStrategyDetial(@Param("strategyId") Long strategyId);

    void batchInsert(List<StrategyconfigDetailEntryDTO> strategyconfigDetailDTOs);

    void batchUpdate(@Param("item") StrategyconfigDetailEntryDTO strategyconfigDetailDTOs);

    /**
     *
     *查询某个计划，使用的评分策略字段表头信息
     **/
    List<FhzgPlanTransferStrategyConfigDetail> getStrategyDetailByPlanId(@Param("planId") Long planId);

    /**
     *
     *查询某个故障，使用的评分策略字段表头信息
     **/
    List<FhzgPlanTransferStrategyConfigDetail> getStrategyDetailByFaultId(@Param("faultId") Long faultId);

    List<FhzgPlanTransferStrategyConfigDetail>  getStrategyDetialByTime();
}
